'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

let promptCheckout = (() => {
  var _ref = (0, _asyncToGenerator3.default)(function* () {
    const currentBranch = (0, _gitCli.getBranch)();
    console.log(_chalk2.default.cyan(`You are on the ${currentBranch} branch.`));

    try {
      let branchType = null;

      if (currentBranch === 'master') {
        const { doHotfix } = yield _inquirer2.default.prompt({
          type: 'confirm',
          name: 'doHotfix',
          message: 'Do you want to do a hotfix?'
        });
        console.log(doHotfix);
        if (doHotfix) branchType = 'hotfix';
      }

      if (!branchType) {
        const { type } = yield _inquirer2.default.prompt({
          type: 'list',
          name: 'type',
          message: 'What type of branch?',
          choices: ['feature', 'improvement', 'fix', 'hotfix', 'release'],
          default: 'feature',
          validate: function (val) {
            return !!val;
          },
          when: function () {
            return true;
          }
        });

        branchType = type;
      }

      const { issue } = yield _inquirer2.default.prompt({
        type: 'input',
        name: 'issue',
        message: branchType === 'release' ? 'Version:' : 'Issue name:',
        validate: function (val) {
          return !!val;
        },
        when: function () {
          return true;
        }
      });

      console.log(_chalk2.default.green('Yes! I\'m excited about this.'));
      (0, _gitCli.createBranch)(`${branchType}/${issue}`);

      return { success: true };
    } catch (e) {
      throw e;
    }
  });

  return function promptCheckout() {
    return _ref.apply(this, arguments);
  };
})();

exports.promptCheckoutCommand = promptCheckoutCommand;

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _gitCli = require('./git-cli');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function promptCheckoutCommand() {
  return promptCheckout();
}
//# sourceMappingURL=checkout.js.map