'use strict';

var _gitCli = require('./git-cli');

const MOCK_REMOTE_SSH_URL = 'git@github.com:billyxs/hiflow.git';
const MOCK_REMOTE_HTTPS_URL = 'https://github.com/billyxs/hiflow.git';

describe('getVersion()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.getVersion).toBe('function');
  });

  it('should return a string', () => {
    expect(typeof (0, _gitCli.getVersion)()).toBe('string');
  });
});

describe('getBranch()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.getBranch).toBe('function');
  });

  it('should return a string', () => {
    expect(typeof (0, _gitCli.getBranch)()).toBe('string');
  });
});

describe('getRemoteUsernameFromURL()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.getRemoteUsernameFromURL).toBe('function');
  });

  it('should equal billyxs', () => {
    expect((0, _gitCli.getRemoteUsernameFromURL)(MOCK_REMOTE_SSH_URL)).toBe('billyxs');
  });

  it('should equal billyxs', () => {
    expect((0, _gitCli.getRemoteUsernameFromURL)(MOCK_REMOTE_HTTPS_URL)).toBe('billyxs');
  });
});

describe('getRemoteURL()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.getRemoteURL).toBe('function');
  });

  it('should return a string', () => {
    expect(typeof (0, _gitCli.getRemoteURL)()).toBe('string');
  });
});

describe('getRemoteRepositoryNameFromURL()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.getRemoteRepositoryNameFromURL).toBe('function');
  });

  it('should equal billyxs', () => {
    expect((0, _gitCli.getRemoteRepositoryNameFromURL)(MOCK_REMOTE_SSH_URL)).toBe('hiflow');
  });

  it('should equal billyxs', () => {
    expect((0, _gitCli.getRemoteRepositoryNameFromURL)(MOCK_REMOTE_HTTPS_URL)).toBe('hiflow');
  });
});

describe('getRemoteRepositoryName()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.getRemoteRepositoryName).toBe('function');
  });

  it('should return a string', () => {
    expect(typeof (0, _gitCli.getRemoteRepositoryName)()).toBe('string');
  });
});

describe('pullAndRebase()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.pullAndRebase).toBe('function');
  });
});

describe('createBranch()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.createBranch).toBe('function');
  });
});

describe('checkoutBranch()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.checkoutBranch).toBe('function');
  });
});

describe('createCommit()', () => {
  it('should be a function', () => {
    expect(typeof _gitCli.createCommit).toBe('function');
  });
});
//# sourceMappingURL=git-cli.test.js.map