'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logPRLink = logPRLink;
exports.logPRStatus = logPRStatus;
exports.logPRHeader = logPRHeader;
exports.logPRDescription = logPRDescription;
exports.logPRApprovals = logPRApprovals;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function logPRLink(link) {
  console.log(`${_chalk2.default.cyan('==>')} ${link}`);
} /* eslint-disable no-console  */
function logPRStatus({ state, type, url }) {
  if (type === 'build') {
    let buildColor = _chalk2.default.white;
    if (state === 'INPROGRESS') {
      buildColor = _chalk2.default.yellow;
    } else if (state === 'SUCCESSFUL') {
      buildColor = _chalk2.default.green;
    } else if (state === 'FAILED') {
      buildColor = _chalk2.default.red;
    }
    console.log(`Build: ${buildColor(state)} ${url}\n`);
  }
}

function logPRHeader({ id, author, title }) {
  console.log(`
${_chalk2.default.cyan(`#${id} ${title}`)}
Author: ${author.display_name}
`);
}

function logPRDescription(description) {
  console.log(`${_chalk2.default.yellow('Description:')}
${description}
`);
}

function logPRApprovals(approvals = []) {
  if (approvals.length) {
    console.log(`${_chalk2.default.green('\u2713')} Approved by ${approvals.join(', ')}\n`);
  } else {
    console.log(`${_chalk2.default.red('\u2717')} Not yet approved \n`);
  }
}
//# sourceMappingURL=log.js.map